import Layout from '@/layout'
// 易制毒易制爆品管理路由
const reagentRouter = [
  {
    path: '/reagent/mainoverview',
    component: Layout,
    redirect: '/reagent/mainoverview/index',
    meta: { classification: 'reagent', module_code: 'MainOverview' },
    children: [
      {
        path: 'index',
        name: 'reagentMainOverview',
        meta: { title: '主预览', icon: '主概览', classification: 'reagent' },
        component: () => import('@/views/reagent/mainoverview/index')
      }
    ]
  },
  {
    path: '/reagent/report',
    component: Layout,
    redirect: '/reagent/report/index',
    meta: { classification: 'reagent', module_code: 'DataReportIndex' },
    children: [
      {
        path: 'index',
        name: 'Report',
        component: () => import('@/views/reagent/report/index'),
        meta: { title: '报告统计', icon: '报表统计', classification: 'reagent' }
      },
      {
        path: 'storeinfo',
        name: 'StoreInfo',
        component: () => import('@/views/reagent/report/storeinfo/index'),
        hidden: true,
        meta: { title: '库存信息总览', icon: '报表统计', classification: 'reagent', activeMenu: '/reagent/report/index' }
      },
      {
        path: 'reagentinfo',
        name: 'ReagentInfo',
        component: () => import('@/views/reagent/report/reagentinfo/index'),
        hidden: true,
        meta: { title: '试剂信息详情', icon: '报表统计', classification: 'reagent', activeMenu: '/reagent/report/index' }
      },
      {
        path: 'warehousinginfo',
        name: 'WarehousingInfo',
        component: () => import('@/views/reagent/report/warehousinginfo/index'),
        hidden: true,
        meta: { title: '入库信息查询', icon: '报表统计', classification: 'reagent', activeMenu: '/reagent/report/index' }
      },
      {
        path: 'inventoryconsuminfo',
        name: 'InventoryConsumInfo',
        component: () => import('@/views/reagent/report/inventoryconsum/index'),
        hidden: true,
        meta: { title: '库存消耗', icon: '报表统计', classification: 'reagent', activeMenu: '/reagent/report/index' }
      },
      {
        path: 'reagentconsuminfo',
        name: 'ReagentConsumInfo',
        component: () => import('@/views/reagent/report/reagentconsum/index'),
        hidden: true,
        meta: { title: '试剂消耗', icon: '报表统计', classification: 'reagent', activeMenu: '/reagent/report/index' }
      },
      {
        path: 'userconsuminfo',
        name: 'UserConsumInfo',
        component: () => import('@/views/reagent/report/userconsum/index'),
        hidden: true,
        meta: { title: '人员用量消耗', icon: '报表统计', classification: 'reagent', activeMenu: '/reagent/report/index' }
      },
      {
        path: 'usefrequencyinfo',
        name: 'UseFrequencyInfo',
        component: () => import('@/views/reagent/report/usefrequency/index'),
        hidden: true,
        meta: { title: '使用频率', icon: '报表统计', classification: 'reagent', activeMenu: '/reagent/report/index' }
      },
      {
        path: 'recordinfo/:t',
        name: 'RecordInfo',
        component: () => import('@/views/reagent/report/record/index'),
        hidden: true,
        meta: { title: '记录', icon: '报表统计', classification: 'reagent', activeMenu: '/reagent/report/index' }
      }
    ]
  },
  {
    path: '/reagent/buy',
    component: Layout,
    redirect: '/reagent/buy/index',
    meta: { classification: 'reagent',module_code: 'DrugPurchase'},
    children: [
      {
        path: 'index',
        name: 'Buy',
        component: () => import('@/views/reagent/buy/index'),
        meta: { title: '采购申请', icon: '请购', classification: 'reagent'}
      }
    ]
  },
  {
    path: '/reagent/purchaseapproval',
    component: Layout,
    redirect: '/reagent/purchaseapproval/index',
    meta: { classification: 'reagent',module_code: 'DrugPurchaseApproval'},
    children: [
      {
        path: 'index',
        name: 'PurchaseApproval',
        component: () => import('@/views/reagent/purchaseapproval/index'),
        meta: { title: '采购审批', icon: '表单', classification: 'reagent'}
      }
    ]
  },
  {
    path: '/reagent/warehousing',
    component: Layout,
    redirect: '/reagent/warehousing/index',
    meta: { classification: 'reagent', module_code: 'DataReportIndex' },
    children: [
      {
        path: 'index',
        name: 'Warehousing',
        component: () => import('@/views/reagent/warehousing/index'),
        meta: { title: '易制毒易制爆品入库', icon: '试剂入库', classification: 'reagent' }
      }
    ]
  },
  // {
  //   path: '/reagent/receiving',
  //   component: Layout,
  //   redirect: '/reagent/receiving/index',
  //   meta: { classification: 'reagent', module_code: 'DrugUseView' },
  //   children: [
  //     {
  //       path: 'index',
  //       name: 'Receiving',
  //       component: () => import('@/views/reagent/receivingandreturn/index'),
  //       meta: { title: '易制毒易制爆品领用', icon: '试剂领用', classification: 'reagent' }
  //     }
  //   ]
  // },
  {
    path: '/reagent/sendback',
    component: Layout,
    redirect: '/reagent/sendback/index',
    meta: { classification: 'reagent', module_code: 'DrugReturnView' },
    children: [
      {
        path: 'index',
        name: 'SendBack',
        component: () => import('@/views/reagent/receivingandreturn/index'),
        meta: { title: '易制毒易制爆品归还', icon: '试剂归还', classification: 'reagent' }
      }
    ]
  },
  {
    path: '/reagent/createapply',
    component: Layout,
    redirect: '/reagent/createapply/index',
    meta: { classification: 'reagent', module_code: 'CreateApplyView' },
    children: [
      {
        path: 'index',
        name: 'createapply',
        component: () => import('@/views/reagent/createapply/index'),
        meta: { title: '易制毒易制爆品创建申请', icon: '创建申请', classification: 'reagent' }
      }
    ]
  },
  {
    path: '/reagent/applymanagement',
    component: Layout,
    redirect: '/reagent/applymanagement/index',
    meta: { classification: 'reagent', module_code: 'ApplyManagementView' },
    children: [
      {
        path: 'index',
        name: 'applymanagement',
        component: () => import('@/views/reagent/applymanagement/index'),
        meta: { title: '易制毒易制爆品申请管理', icon: '申请管理', classification: 'reagent' }
      }
    ]
  },
  {
    path: '/reagent/weightregistration',
    component: Layout,
    redirect: '/reagent/weightregistration/index',
    meta: { classification: 'reagent', module_code: 'WeightRegistration' },
    children: [
      {
        path: 'index',
        name: 'weightregistration',
        component: () => import('@/views/reagent/weightregistration/index'),
        meta: { title: '易制毒易制爆品称重登记', icon: '称重登记', classification: 'reagent' }
      }
    ]
  },
  // {
  //   path: '/reagent/weighing',
  //   component: Layout,
  //   redirect: '/reagent/weighing/index',
  //   meta: { classification: 'reagent', module_code: 'DrugWeigh' },
  //   children: [
  //     {
  //       path: 'index',
  //       name: 'weighing',
  //       component: () => import('@/views/reagent/weighing/index'),
  //       meta: { title: '易制毒易制爆品称重', icon: '试剂称重', classification: 'reagent' }
  //     }
  //   ]
  // },
  {
    path: '/reagent/inventory',
    component: Layout,
    redirect: '/reagent/inventory/index',
    meta: { classification: 'reagent', module_code: 'StockTakingIndex' },
    children: [
      {
        path: 'index',
        name: 'Inventory',
        component: () => import('@/views/reagent/inventory/index'),
        meta: { title: '易制毒易制爆品盘点', icon: '库存盘点', classification: 'reagent' }
      }
    ]
  },
  {
    path: '/reagent/database',
    component: Layout,
    redirect: '/reagent/database/msds',
    meta: { title: '化学品数据库', icon: '化学品数据库', classification: 'reagent', module_code: 'ChemicalDB' },
    children: [
      {
        path: 'msds',
        name: 'MSDS',
        component: () => import('@/views/reagent/database/index'),
        meta: { title: 'MSDS数据库', classification: 'reagent' }
      },
      {
        path: 'dangerous',
        name: 'Dangerous',
        component: () => import('@/views/reagent/database/index'),
        meta: { title: '危化品数据库', classification: 'reagent' }
      }
    ]
  },
  {
    path: '/reagent/management',
    component: Layout,
    redirect: '/reagent/management/index',
    meta: { title: '易制毒易制爆品管理', icon: '试剂管理', classification: 'reagent', module_code: 'DrugIndex' },
    children: [
      {
        path: 'index',
        name: 'Management',
        component: () => import('@/views/reagent/management/data/index'),
        meta: { title: '易制毒易制爆品管理', icon: '试剂管理', classification: 'reagent' }
      }
    ]
  },
  {
    path: '/reagent/client',
    component: Layout,
    redirect: '/reagent/client/index',
    meta: { classification: 'reagent', module_code: 'CabinetIndex' },
    children: [
      {
        path: 'index',
        name: 'Client',
        component: () => import('@/views/reagent/client/index'),
        meta: { title: '柜体管理', icon: '柜体管理', classification: 'reagent' }
      }
    ]
  },
  {
    path: '/reagent/envrecord',
    component: Layout,
    redirect: '/reagent/envrecord/index',
    meta: { classification: 'reagent', module_code: 'HumitureIndex' },
    children: [
      {
        path: 'index',
        name: 'EnvRecord',
        component: () => import('@/views/reagent/envrecord/index'),
        meta: { title: '环境记录', icon: '雪花', classification: 'reagent' }
      }
    ]
  },
  // {
  //   path: '/reagent/form',
  //   component: Layout,
  //   redirect: '/reagent/form/index',
  //   meta: { classification: 'reagent', module_code: 'DrugCustomForm' },
  //   children: [
  //     {
  //       path: 'index',
  //       name: 'Form',
  //       component: () => import('@/views/reagent/customform/index'),
  //       meta: { title: '试剂表单自定义', icon: '表单', classification: 'reagent' }
  //     }
  //   ]
  // },
  {
    path: '/gotohome',
    redirect: '/home',
    meta: { title: '返回主页', icon: 'el-icon-arrow-left', classification: 'reagent' }
  }
]

export default reagentRouter
